edu.isi.pegasus.planner.common

## Class PegasusConfiguration

- java.lang.Object
- - edu.isi.pegasus.planner.common.PegasusConfiguration

    public class PegasusConfiguration
    extends java.lang.Object

A utility class that returns JAVA Properties that need to be set based on a configuration value

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `CONDOR_CONFIGURATION_VALUE` The value for the condor configuration.
`static java.lang.String` `DEFAULT_DATA_CONFIGURATION_VALUE` The default data configuration value
`static java.lang.String` `DEPRECATED_CONDOR_CONFIGURATION_VALUE` The value for the condor configuration.
`static java.lang.String` `DEPRECATED_S3_CONFIGURATION_VALUE` The value for the S3 configuration.
`private LogManager` `mLogger` The logger to use.
`static java.lang.String` `NON_SHARED_FS_CONFIGURATION_VALUE` The value for the non shared filesystem configuration.
`static java.lang.String` `PEGASUS_CONFIGURATION_PROPERTY_KEY` The property key for pegasus configuration.
`static java.lang.String` `SHARED_FS_CONFIGURATION_VALUE` The value for the non shared filesystem configuration.

### Constructor Summary

Constructors
Constructor and Description
`PegasusConfiguration(LogManager logger)` Overloaded Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `checkAndSetProperty(PegasusProperties properties, java.lang.String key, java.lang.String value)` Checks for a property, if it does not exist then sets the property to the value passed
`protected java.lang.String` `deprecatedValueMessage(java.lang.String property, java.lang.String deprecatedValue, java.lang.String updatedValue)` Returns the deperecated value message
`java.util.Properties` `getConfigurationProperties(java.lang.String configuration)` Returns Properties corresponding to a particular configuration.
`private void` `loadConfigurationProperties(PegasusProperties properties)` Loads configuration specific properties into PegasusProperties
`void` `loadConfigurationPropertiesAndOptions(PegasusProperties properties, PlannerOptions options)` Loads configuration specific properties into PegasusProperties, and adjusts planner options accordingly.
`boolean` `setupForCondorIO(PegasusProperties properties)` Returns a boolean indicating if properties are setup for condor io
`void` `updateSiteStoreAndOptions(SiteStore store, PlannerOptions options)` Updates Site Store and options based on the planner options set by the user on the command line

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PEGASUS_CONFIGURATION_PROPERTY_KEY

    public static final java.lang.String PEGASUS_CONFIGURATION_PROPERTY_KEY

The property key for pegasus configuration.

See Also:
  Constant Field Values

#### DEPRECATED_S3_CONFIGURATION_VALUE

    public static final java.lang.String DEPRECATED_S3_CONFIGURATION_VALUE

The value for the S3 configuration.

See Also:
  Constant Field Values

#### SHARED_FS_CONFIGURATION_VALUE

    public static final java.lang.String SHARED_FS_CONFIGURATION_VALUE

The value for the non shared filesystem configuration.

See Also:
  Constant Field Values

#### DEFAULT_DATA_CONFIGURATION_VALUE

    public static java.lang.String DEFAULT_DATA_CONFIGURATION_VALUE

The default data configuration value

#### NON_SHARED_FS_CONFIGURATION_VALUE

    public static final java.lang.String NON_SHARED_FS_CONFIGURATION_VALUE

The value for the non shared filesystem configuration.

See Also:
  Constant Field Values

#### CONDOR_CONFIGURATION_VALUE

    public static final java.lang.String CONDOR_CONFIGURATION_VALUE

The value for the condor configuration.

See Also:
  Constant Field Values

#### DEPRECATED_CONDOR_CONFIGURATION_VALUE

    public static final java.lang.String DEPRECATED_CONDOR_CONFIGURATION_VALUE

The value for the condor configuration.

See Also:
  Constant Field Values

#### mLogger

    private LogManager mLogger

The logger to use.

### Constructor Detail

#### PegasusConfiguration

    public PegasusConfiguration(LogManager logger)

Overloaded Constructor

Parameters:
  `logger` - the logger to use.

### Method Detail

#### loadConfigurationPropertiesAndOptions

    public void loadConfigurationPropertiesAndOptions(PegasusProperties properties,
                                                      PlannerOptions options)

Loads configuration specific properties into PegasusProperties, and adjusts planner options accordingly.

Parameters:
  `properties` - the Pegasus Properties
  `options` - the PlannerOptions .

#### updateSiteStoreAndOptions

    public void updateSiteStoreAndOptions(SiteStore store,
                                          PlannerOptions options)

Updates Site Store and options based on the planner options set by the user on the command line

Parameters:
  `store` - the outputSite store
  `options` - the planner options.

#### loadConfigurationProperties

    private void loadConfigurationProperties(PegasusProperties properties)

Loads configuration specific properties into PegasusProperties

Parameters:
  `properties` - the Pegasus Properties.

#### getConfigurationProperties

    public java.util.Properties getConfigurationProperties(java.lang.String configuration)

Returns Properties corresponding to a particular configuration.

Parameters:
  `configuration` - the configuration value.
Returns:
  Properties

#### setupForCondorIO

    public boolean setupForCondorIO(PegasusProperties properties)

Returns a boolean indicating if properties are setup for condor io

Parameters:
  `properties` -
Returns:
  boolean

#### checkAndSetProperty

    protected void checkAndSetProperty(PegasusProperties properties,
                                       java.lang.String key,
                                       java.lang.String value)

Checks for a property, if it does not exist then sets the property to the value passed

Parameters:
  `key` - the property key
  `value` - the value to set to

#### deprecatedValueMessage

    protected java.lang.String deprecatedValueMessage(java.lang.String property,
                                                      java.lang.String deprecatedValue,
                                                      java.lang.String updatedValue)

Returns the deperecated value message

Parameters:
  `property` - the property
  `deprecatedValue` - the deprecated value
  `updatedValue` - the updated value
Returns:
  message